{* Smarty *}

{literal}
<script type="text/javascript">
//<![CDATA[
function SvtGiveoutStatusAdd(){
  $.ajax({
    async: false,
    timeout: 3000,
    type: 'GET',
    url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtGiveoutStatusEdit.ajax.php{literal}",
    success: function(answ){
      DialogStandartOpen('SvtGiveoutStatusEditFrm', answ, "{/literal}{$MS_SP->Sp_LangMessage.message.MessRecordAdd}{literal}");
    }
  });
}

function SvtGiveoutStatusEdit(){
  var VarCountSelectedRows = $("#GridSvtGiveoutStatus").jqGrid('getGridParam','selarrrow').length;
  if(0 == VarCountSelectedRows){
    DialogStandartMessageOpen('error', "{/literal}{$MS_SP->Sp_LangMessage.warning.WarnShouldSelectRecord}{literal}");
  }
  else if(1 == VarCountSelectedRows){
    var VarId = $("#GridSvtGiveoutStatus").jqGrid('getGridParam','selrow');
    $.ajax({
      async: false,
      timeout: 3000,
      type: 'GET',
      url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtGiveoutStatusEdit.ajax.php{literal}",
      data: {
        "svtgiveoutstatus_id": VarId
      },
      success: function(answ){
        DialogStandartOpen('SvtGiveoutStatusEditFrm', answ, "{/literal}{$MS_SP->Sp_LangMessage.message.MessRecordEdit}{literal}");
      }
    });
  }
  else{
    DialogStandartMessageOpen('error', "{/literal}{$MS_SP->Sp_LangMessage.warning.WarnShouldSelectOnlyOneRecord}{literal}");
  }
}

function SvtGiveoutStatusDel(){
  var VarId = $("#GridSvtGiveoutStatus").jqGrid('getGridParam','selarrrow');
  var VarCountSelectedRows = VarId.length;
  if(0 == VarCountSelectedRows){
    DialogStandartMessageOpen('error', "{/literal}{$MS_SP->Sp_LangMessage.warning.WarnShouldSelectRecord}{literal}");
  }
  else if(1 <= VarCountSelectedRows){
    $(function() {
      CreateDivForMessage("DialogConfirmMessage");
      $("#DialogConfirmMessageText").html("{/literal}{$MS_SP->Sp_LangMessage.message.MessAreYouSureDelete}{literal}");
      $("#DialogConfirmMessage").dialog({
        title: "{/literal}{$MS_SP->Sp_LangMessage.label.GridDelete}{literal}",
        resizable: false,
        height:180,
        modal: true,
        buttons: {
          "{/literal}{$MS_SP->Sp_LangMessage.label.GridDeleteYes}{literal}": function() {
            $.ajax({
              async: false,
              timeout: 3000,
              type: "GET",
              url: "{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtGiveoutStatusDel.ajax.php{literal}",
              data: {
                svtgiveoutstatus_id: VarId
              },
              success: function(answ){
                if("undefined" == typeof(answ["error"])){
                  $("#GridSvtGiveoutStatus").trigger("reloadGrid");
                  DialogStandartMessageOpen('message', answ["message"]);
                }
                else{
                  DialogStandartMessageOpen('error', answ["error"]);
                }
              }
            });
            $(this).dialog("close");
          },
          "{/literal}{$MS_SP->Sp_LangMessage.label.GridDeleteNo}{literal}": function() {
            $(this).dialog("close");
          }
        }
      });
    });
  }
  else{
    DialogStandartMessageOpen('error', "{/literal}{$MS_SP->Sp_LangMessage.error.ErrUnknownError}{literal}");
  }
}

$(function BuildGrid(){
  $("#GridSvtGiveoutStatus").jqGrid('jqGridImport',{imptype:"jsonstring", impstring:window.localStorage.getItem("{/literal}{$smarty.session.SessionAuth.id}-GridSvtGiveoutStatus{literal}")});
  $("#GridSvtGiveoutStatus").jqGrid({
    caption:{/literal}'{$MS_SP->Sp_LangMessage.GridsCaptions.SvtGiveoutStatus}'{literal},
    datatype: "json",
    url:"{/literal}{$MS_SP->Sp_PathTop}{$MS_SP->Sp_PathToSite}/AjaxServer/SvtGiveoutStatusList.ajax.php{literal}",
    colNames:[{/literal}
      '{$MS_SP->Sp_LangMessage.GridsColNames.name}',
      '{$MS_SP->Sp_LangMessage.GridsColNames.color_for_view}',
      '{$MS_SP->Sp_LangMessage.GridsColNames.order}'{literal}
    ],
    colModel:[
      {name:'svtgiveoutstatus_name', index:'svtgiveoutstatus_name', width:250},
      {name:'svtgiveoutstatus_color', index:'svtgiveoutstatus_color', width:100, align:"center"},
      {name:'svtgiveoutstatus_order', index:'svtgiveoutstatus_order', width:60, align:"right"}
    ],
    multiselect: true,
    multiboxonly:true,
    rowNum:100,
    rowList:[10,25,100,500],
    pager: "#GridSvtGiveoutStatusPager",
    sortname: 'svtgiveoutstatus_order',
    sortorder: "asc",
    viewrecords: true,
    rownumbers: true,
    toolbar: [true,"top"],
    shrinkToFit:false, 
    gridview: true,
    autowidth: true,
    height: 290
  });
  $("#GridSvtGiveoutStatus").toolbarButtonAdd("#t_GridSvtGiveoutStatus",{caption:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Print}{literal}",position:"first",title:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Print}{literal}", buttonicon :'ui-icon-print', cursor: "pointer", onClickButton:function(){GridPrintReport('GridSvtGiveoutStatus');}});
  $("#GridSvtGiveoutStatus").toolbarButtonAdd("#t_GridSvtGiveoutStatus",{caption:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Add}{literal}",position:"last",title:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Add}{literal}", buttonicon :'ui-icon-plus', cursor: "pointer", onClickButton:SvtGiveoutStatusAdd });
  $("#GridSvtGiveoutStatus").toolbarButtonAdd("#t_GridSvtGiveoutStatus",{caption:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Edit}{literal}",position:"last",title:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Edit}{literal}", buttonicon :'ui-icon-pencil', cursor: "pointer", onClickButton:SvtGiveoutStatusEdit });
{/literal}
  {if isset($smarty.session.SessionAuth.SvtAdmin.reg) && 1 eq $smarty.session.SessionAuth.SvtAdmin.reg}
{literal}
  $("#GridSvtGiveoutStatus").toolbarButtonAdd("#t_GridSvtGiveoutStatus",{caption:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Del}{literal}",position:"last",title:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Del}{literal}", buttonicon :'ui-icon-trash', cursor: "pointer", onClickButton:SvtGiveoutStatusDel });
  {/literal}
  {/if}
  {if isset($VarSvtGiveoutStatusSelect) && 1 eq $VarSvtGiveoutStatusSelect}
{literal}
    $("#GridSvtGiveoutStatus").toolbarButtonAdd("#t_GridSvtGiveoutStatus",{caption:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Select}{literal}",position:"last",title:"{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Select}{literal}", buttonicon :'ui-icon-check', cursor: "pointer", onClickButton:SvtGiveoutStatusSelect });
{/literal}
  {/if}
{literal}
  $("#GridSvtGiveoutStatus").jqGrid('navGrid','#GridSvtGiveoutStatusPager', {edit:false,add:false,del:false,refresh:false});
  $("#GridSvtGiveoutStatus").jqGrid("navButtonAdd","#GridSvtGiveoutStatusPager",{
    caption: "",
    title: "{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.Refresh}{literal}",
    buttonicon :'ui-icon-refresh',
    onClickButton : function (){
      $("#GridSvtGiveoutStatus").trigger("reloadGrid");
    }
  });
  $("#GridSvtGiveoutStatus").jqGrid("navButtonAdd","#GridSvtGiveoutStatusPager",{
    caption: "",
    title: "{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.ColumnChooser}{literal}",
    buttonicon :'ui-icon-transfer-e-w',
    onClickButton : function (){
      $("#GridSvtGiveoutStatus").jqGrid('columnChooser');
    }
  });
  $("#GridSvtGiveoutStatus").navButtonAdd("#GridSvtGiveoutStatusPager",{ 
    caption: "", 
    title: "{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.SaveSettings}{literal}", 
    buttonicon :'ui-icon-disk',
    onClickButton: function () {
      if (typeof window.localStorage !== 'undefined') {
        delete $("#GridSvtGiveoutStatus").jqGrid('getGridParam' ,'postData' )['filters'];
        window.localStorage.setItem("{/literal}{$smarty.session.SessionAuth.id}-GridSvtGiveoutStatus{literal}",$("#GridSvtGiveoutStatus").jqGrid('jqGridExport',{exptype:'jsonstring'}));
        DialogStandartMessageOpen('message', "{/literal}{$MS_SP->Sp_LangMessage.message.MessSettingsSaved}{literal}");
      }
      else{          
        DialogStandartMessageOpen('error', "{/literal}{$MS_SP->Sp_LangMessage.error.ErrNoLocalStorage}{literal}");
      }
    }
  });
  $("#GridSvtGiveoutStatus").navButtonAdd("#GridSvtGiveoutStatusPager",{ 
    caption: "", 
    title: "{/literal}{$MS_SP->Sp_LangMessage.GridsButtons.ResetSettings}{literal}", 
    buttonicon :'ui-icon-closethick',
    onClickButton: function () {
      CreateDivForMessage("DialogConfirmMessage");
      $("#DialogConfirmMessageText").html('{/literal}{$MS_SP->Sp_LangMessage.message.MessResetSettConfirm}{literal}');
      $("#DialogConfirmMessage").dialog({
        title: "{/literal}{$MS_SP->Sp_LangMessage.DialogTitles.ResetSettings}{literal}",
        resizable: false,
        height:180,
        modal: true,
        buttons: {
          "{/literal}{$MS_SP->Sp_LangMessage.label.GridDeleteYes}{literal}": function() {
            window.localStorage.removeItem("{/literal}{$smarty.session.SessionAuth.id}-GridSvtGiveoutStatus{literal}");
            $(this).dialog('close');
            $("#GridSvtGiveoutStatus").jqGrid('GridUnload');
            BuildGrid();
            DialogStandartMessageOpen('message', "{/literal}{$MS_SP->Sp_LangMessage.message.MessResetSettSuccess}{literal}");
          },
          "{/literal}{$MS_SP->Sp_LangMessage.label.GridDeleteNo}{literal}": function() {
            $(this).dialog('close');
          }
        }
      });
    }
  });
  $("#GridSvtGiveoutStatus").jqGrid('filterToolbar',{stringResult: true, searchOnEnter : true, defaultSearch:"cnof"});
  UpdateJqGrid("GridSvtGiveoutStatus","GridSvtGiveoutStatusWrapper");
});
//]]>
</script>
{/literal}

<div id="GridSvtGiveoutStatusWrapper" class="ui-widget-content ui-corner-all">
  <table id="GridSvtGiveoutStatus"><tr><td></td></tr></table>
  <div id="GridSvtGiveoutStatusPager"></div>
  <div id="t_toolbar1"></div>
</div>